.modal {
  position: absolute;
  display: flex;
  z-index: 90;
  padding: 0px;
  margin: 0px auto;
  top: 0px;
  left: 0px;
  width: 100%;
  min-height: 100vh;
  height: 100%;
  justify-content: center;
  align-items: center;
  font-size: 40px;
  transition: all 200ms ease-in; }
  .modal.close {
    display: none !important; }
  .modal__content {
    z-index: 2;
    position: fixed;
    background-color: rgba(45, 23, 18, 0.6);
    font-size: 28px;
    color: white;
    padding: 0;
    width: 320px;
    height: 191px;
    font-family: 'Kanit';
    border-radius: 20px;
    border: 3px solid #ffffff;
    left: 50%;
    margin-left: -160px;
    top: 50%;
    margin-top: -95px; }
    .modal__content--full {
      width: calc(96% - 20px - 20px);
      height: calc(96% - 20px - 20px); }
    .modal__content--height {
      height: auto;
      min-height: 300px; }
    .modal__content--loading {
      height: 150px; }
    .modal__content.loading {
      z-index: 999; }
  .modal__incontent {
    width: 100%;
    text-align: center;
    line-height: 1.5em;
    margin: 20px auto 0px;
    /* height: fit-content; */ }
    .modal__incontent--loading {
      font-size: 30px;
      margin-top: 70px; }
    .modal__incontent--message {
      font-size: 26px;
      margin-top: 20px; }
    .modal__incontent--confirmrandom {
      font-size: 20px;
      margin-top: 30px; }
    .modal__incontent--selectcharacter {
      font-size: 20px;
      margin-top: 20px; }
    .modal__incontent--confirmredeem {
      font-size: 20px;
      margin-top: 20px; }
    .modal__incontent--reward-text {
      font-family: "Kanit-Bold";
      color: #000;
      font-size: 22px;
      margin-top: 10px;
      padding: 0 15px; }
  .modal__loading {
    display: flex;
    justify-content: center;
    align-items: center; }
  .modal__bottom {
    position: absolute;
    bottom: -1em;
    height: 50px;
    width: 100%;
    text-align: center;
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
    overflow: hidden; }
  .modal__backdrop {
    z-index: 1;
    position: fixed;
    background-color: rgba(0, 0, 0, 0.8);
    width: 100%;
    height: 100%;
    top: 0;
    left: 0; }
    .modal__backdrop--white {
      background-color: rgba(255, 255, 255, 0.85); }
    .modal__backdrop--selectcharacter {
      width: 96% !important;
      height: 100% !important;
      left: 2% !important;
      border-radius: 30px; }
    .modal__backdrop--grey {
      background: rgba(163, 163, 163, 0.95); }
  .modal__selectcharacter {
    display: block;
    background-color: white;
    border: none;
    margin: 20px auto;
    width: 250px;
    height: 40px;
    line-height: 40px;
    color: #000;
    font-size: 30px;
    text-align: center;
    border-radius: 10px; }
  .modal__selectitemlist {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    margin-top: 10px; }
  .modal__selectitemslot {
    text-align: center; }
  .modal__button {
    cursor: pointer;
    display: inline-block;
    text-align: center;
    font-size: 20px;
    width: 45%;
    height: 50px;
    line-height: 50px;
    margin: 0 .4em;
    border-radius: 30px;
    color: #000;
    background-color: #cfcfcf; }
    .modal__button--full {
      width: 100%; }
  .modal__content-inner {
    background: #626262;
    color: #fff;
    text-align: center;
    padding: 1em;
    border-radius: 20px;
    width: 70%;
    margin: 0 auto; }
  .modal__redeemlist {
    padding: 0;
    margin: 0; }
    .modal__redeemlist li {
      display: block;
      text-align: left;
      line-height: 1em; }
      .modal__redeemlist li:before {
        content: "- ";
        display: inline-block;
        vertical-align: middle;
        margin-right: .5em; }

.formselect {
  margin: 0px auto; }
  .formselect label {
    position: relative;
    color: #fff;
    background-color: #626262;
    width: 240px;
    height: 26px;
    line-height: 26px;
    display: block;
    margin: 10px auto;
    padding: 5px;
    border-radius: 10px;
    overflow: hidden; }
    .formselect label:focus {
      outline: 0 none; }
  .formselect select {
    font-size: 20px;
    border: 0px;
    background: transparent;
    vertical-align: middle;
    width: 110%;
    left: 0;
    position: absolute;
    z-index: 1;
    color: #000; }
    .formselect select:focus {
      outline: 0 none; }
  .formselect img {
    position: absolute;
    display: block;
    top: 50%;
    width: 24px;
    height: 21px;
    right: 0px;
    transform: translate(-50%, -50%);
    user-select: none; }
